|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
FEEDBACK_SETTINGS_s Struct Reference
Power Control » Power Control Data Types

Publicly accessible data buffer of most recent runtime data values. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/sources/pwrctrl/pwrctrl_typedef.h>`

Collaboration diagram for FEEDBACK_SETTINGS_s:

## Data Fields
uint16_t | VPriVoltage
| Data value for input voltage.
uint16_t | VSecVoltage
| Data value for output voltage.
uint16_t | ISensePrimary
| Data value for primary current as measured with CT.
uint16_t | ISenseSecondary
| Data value for secondary current as measured with CT.
uint16_t | ISecAverage
| Data value for average secondary current as measured with isolated current sensor.
uint16_t | ISecAverageRectified
| Data value for average secondary current rectified.
int16_t | SecPower
| Data value for Secondary power (Watt)
uint16_t | Temperature
| Data value for temperature.
uint16_t | VRail_5V
| Data value for 5V auxiliary rail.
uint16_t | ISecSensorOffset
| Offset of the secondary current sensor.

## Detailed Description

This data structure is used to store the feedback values of the most recent runtime data values.

Definition at line 57 of file pwrctrl_typedef.h.

## Field Documentation

## ◆ ISecAverage

uint16_t ISecAverage

Definition at line 63 of file pwrctrl_typedef.h.

## ◆ ISecAverageRectified

uint16_t ISecAverageRectified

Definition at line 64 of file pwrctrl_typedef.h.

## ◆ ISecSensorOffset

uint16_t ISecSensorOffset

Definition at line 68 of file pwrctrl_typedef.h.

## ◆ ISensePrimary

uint16_t ISensePrimary

Definition at line 61 of file pwrctrl_typedef.h.

## ◆ ISenseSecondary

uint16_t ISenseSecondary

Definition at line 62 of file pwrctrl_typedef.h.

## ◆ SecPower

int16_t SecPower

Definition at line 65 of file pwrctrl_typedef.h.

## ◆ Temperature

uint16_t Temperature

Definition at line 66 of file pwrctrl_typedef.h.

## ◆ VPriVoltage

uint16_t VPriVoltage

Definition at line 59 of file pwrctrl_typedef.h.

## ◆ VRail_5V

uint16_t VRail_5V

Definition at line 67 of file pwrctrl_typedef.h.

## ◆ VSecVoltage

uint16_t VSecVoltage

Definition at line 60 of file pwrctrl_typedef.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/sources/pwrctrl/pwrctrl_typedef.h